Loading...
Searching...
No Matches
Platform Class Reference

The Platform class. More...

`#include <plugins/Lomiri/Platform/platform.h>`

## Public Member Functions

| Platform (QObject *parent=nullptr)
QString | chassis () const
bool | isPC () const
bool | isMultiSession () const

## Properties

QString | chassis
bool | isPC
bool | isMultiSession

## Detailed Description

The Platform class.

Wrapper around platform detection support (org.freedesktop.hostname1)

Definition at line 27 of file platform.h.

## Constructor & Destructor Documentation

## Platform()

Platform::Platform | ( | QObject * | parent = nullptr | ) |

Definition at line 23 of file platform.cpp.

: QObject(parent), m_isPC(true), m_isMultiSession(true)
{
QMetaObject::invokeMethod(this, "init");
}

## Member Function Documentation

## chassis()

QString Platform::chassis | ( |  | ) | const

Definition at line 53 of file platform.cpp.

{
return m_chassis;
}

## isMultiSession()

bool Platform::isMultiSession | ( |  | ) | const

Definition at line 63 of file platform.cpp.

{
return m_isMultiSession;
}

## isPC()

bool Platform::isPC | ( |  | ) | const

Definition at line 58 of file platform.cpp.

{
return m_isPC;
}

## Property Documentation

## chassis

QString Platform::chassis

read

The chassis property

Supported values include: "laptop", "computer", "handset" or "tablet" For full list see: http://www.freedesktop.org/wiki/Software/systemd/hostnamed/

Definition at line 36 of file platform.h.

## isMultiSession

bool Platform::isMultiSession

read

Whether the system is capable of running multiple (graphical) sessions

Definition at line 44 of file platform.h.

## isPC

bool Platform::isPC

read

Whether the machine is an ordinary PC (desktop, laptop or server)

Definition at line 40 of file platform.h.

The documentation for this class was generated from the following files:

- plugins/Lomiri/Platform/platform.h
- plugins/Lomiri/Platform/platform.cpp